Subject: Re: slightly off topic: gnu make and VC++
From: [email-masked] (Fernandes, Hilton)

10 Nov 1997 00:02:40 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: Ulrich Lauther <[email-masked]>, [email-masked]
Cc: "Fernandes, Hilton" <[email-masked]>

On  8 Nov 97 at 9:36, Ulrich Lauther <[email-masked]> wrote:

> Unnerved by VC++'s gui, I tried to convert a generated *.mak file
> to gnu make's syntax and to run make. This seems to work for generating
> objects, but in the link stage I get an anresolved extern "operator new()".
> link.exe seems to use some hidden libs, but I can't find out which ones.
> Can anybody help? Here is the link command and the error message (newlines
> inserted for readability):
> 
> 

<snip><snip><snip><snip><snip><snip><snip><snip><snip><snip><snip><snip><snip>

> 
> ----------------------------------------------------------------------------
> Ulrich Lauther          ph: +49 89 636 48834 fx: ... 636 42284
> Siemens ZT SE 4         Internet: [email-masked]

Hi, Ulrich!

MSVC has a very peculiar syntax, that i'm not familiar with.  You may be 
instructing it to use a particular version of new().

No matter how uncomfortable, the VC GUI usually generates every option
correctly. So i guess an idea is to generate via GUI a simpler project, that
uses the same libs.  Then, try to compare its command line switches with yours.

I hope that can help you.

Regards,
++Hilton 
----
Hilton Fernandes
[email-masked]
http://www.geocities.com/SiliconValley/Lakes/5657
URLs and help on C++ programming and Object-Oriented Design
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".